#ifndef _IR_CLIENT_H_
#define _IR_CLIENT_H_

#include <pktIO.h>

struct reflex;

#ifdef __cplusplus
extern "C"
{
#endif
  
  struct reflexIR {
    int port;

    int (*rptRpl)    (struct reflex *reflex, int rv, unsigned char id, int ts);
    
    int (*unknownRpl) (struct reflex *reflex, unsigned char id,
		       unsigned char size,
		       unsigned char *buffer, unsigned char opcode);
    
    /* ---------------------------------------- */
    
    int (*rpt)        (struct reflex *reflex, unsigned char id, int ts[2],
		       unsigned char *flag,
		       unsigned short *irValue);
    
    /* ---------------------------------------- */

    int (*rptReq)     (struct reflex *reflex, unsigned char id,
		       int triggerDelay, int fireDelay, int retryDelay, 
		       int setDelay, int goneTimeout, unsigned char runMode);
    
    /* ---------------------------------------- */
    
    int (*handlePort) (struct reflex *reflex, int size,
		       unsigned char *buffer,
		       unsigned char id, unsigned char opcode);
    
    int (*destroy)    (struct reflexIR *ptr);
  };
  
  struct reflexIR * reflexIRNew (int port);
#ifdef __cplusplus
}
#endif

#endif

